Package org.bukkit.block.data.type

# Interface Lectern

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Powerable`

public interface Lectern extends Directional, Powerable
'has_book' is a quick flag to check whether this lectern has a book inside it.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasBook()`
Gets the value of the 'has_book' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### hasBook

boolean hasBook()
Gets the value of the 'has_book' property.

Returns:
  the 'has_book' value